package tutorialJava.capitulo5.ejercicios.bloque03_clasesYMetodosAbstractos.sonidosAnimales;

public class Principal {
    public static void main(String[] args) {
    	
    	int a[] = new int[] {1, 2, 3};
    	
        // Crear un array de tipo Animal
        Animal[] animales = new Animal[] {
            new Perro("Max"),
            new Gato("Luna"),
            new Perro("Buddy"),
            new Gato("Mimi")
        };

        // Llamar al método emitirSonido() para cada animal
        for (Animal animal : animales) {
            System.out.println("Animal: ");
            animal.emitirSonido();
        }
    }
}